Data Fields
_PurpleContact Struct Reference

A contact. More...

`#include <blist.h>`

## Data Fields
PurpleBlistNode | node
| The node that this contact inherits from. More...
char * | alias
| The user-set alias of the contact.
int | totalsize
| The number of buddies in this contact.
int | currentsize
| The number of buddies in this contact corresponding to online accounts.
int | online
| The number of buddies in this contact who are currently online.
PurpleBuddy * | priority
| The "top" buddy for this contact.
gboolean | priority_valid
| Is priority valid?

## Detailed Description

A contact.

This contains everything Purple will ever need to know about a contact.

Definition at line 153 of file blist.h.

## Field Documentation

## ◆ node

PurpleBlistNode _PurpleContact::node

The node that this contact inherits from.

Definition at line 154 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h